/********************************************************************
 FileName:     	HardwareProfile.h
 Dependencies:  See INCLUDES section
 Processor:     PIC18F26k22
 Hardware:      
 Compiler:      Microchip C18
 
     Platine support SD-CARD mininthebox Module SD Card #00407346  3.67
                                    //      4 VCC 3.3V  (internal from voltage regulator 5V -> 3,3V)
                                    // 1--- 6 VSS Alim 5V DC
                                    // 6----3 VSS
#define SD_CS 	 PORTCbits.RC0	 -> // 5----1 CS        SD Card pins
#define SD_DO	 PORTCbits.RC5	 -> // 4----2 DI   MOSI
#define SD_DI	 PORTCbits.RC4	 <- // 2----7 DO   MISO
#define SD_CLCK	 PORTCbits.RC3	 -> // 3----5 CLCK
#define SD_WP	PORTCbits.RC2		// Card Write Protect ??? not Used
#define SD_CD	PORTAbits.RA3		// Card Detect ??? not used
 
 
 
********************************************************************/

	
	/*  CLOCK FREQUENCY */
	#define GetSystemClock()		(40000000ul)      // Hz
	#define GetInstructionClock()	(GetSystemClock()/4)
	#define GetPeripheralClock()	GetInstructionClock()
    
    // I/O pin definitions 
    
    #define INPUT_PIN 		1
    #define OUTPUT_PIN 		0    
    
 
    #define SD_CS			LATCbits.LATC0		// CS   SD chip select
    #define SD_CS_TRIS		TRISCbits.TRISC0	// SD chip select TRIS
 //   #define SD_WP			PORTCbits.RC2		// Card Write Protect
 //   #define SD_WP_TRIS	TRISCbits.TRISC2	// Card Write Protect TRIS
 //   #define SD_CD			PORTAbits.RA4		// Card Detect
 //   #define SD_CD_TRIS	TRISAbits.TRISA4	// Card Detect TRIS
	
	#define SPI_SCK_TRIS	TRISCbits.TRISC3	// SPI Clock TRIS
	#define SPI_MISO_TRIS	TRISCbits.TRISC4	// SPI Master input/Slave output TRIS
	#define SPI_MOSI_TRIS	TRISCbits.TRISC5	// SPI Master output/Slave input TRIS
	
	#define USART_RX_TRIS	TRISCbits.TRISC7	// USART RX TRIS
	#define USART_TX_TRIS	TRISCbits.TRISC6	// USART TX TRIS
	
	#define Led_Rouge		LATAbits.LATA0		// LED sur RA4

	
	/** USART SETTINGS *********************************************/
	#define BAUD_RATE 19200
